## org.eclipse.m2m.atl.adt.ui.outline
Class NullEventListener

    java.lang.Object
      org.eclipse.m2m.atl.adt.ui.outline.NullEventListener

All Implemented Interfaces:
  EventListener

    public class NullEventListener

extends java.lang.Object
implements EventListener

Constructor Summary
`NullEventListener()`

Method Summary
`static NullEventListener` `getInstance()`
`void` `update(Event event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullEventListener

    public NullEventListener()

Method Detail

### getInstance

    public static NullEventListener getInstance()

### update

    public void update(Event event)

  Specified by:
    `update` in interface `EventListener`
  See Also:
    `EventListener.update(org.eclipse.m2m.atl.adt.ui.outline.Event)`

Copyright 2007 IBM Corporation and others. All Rights Reserved.